uniform sampler diffuseMap	: register(s0);

extern uniform float4	colorModulate;

struct VS_INPUT 
{
	float2 uv0							: TEXCOORD0;
	float4 color						: COLOR0;
};

float4 main_ps( VS_INPUT input ) : COLOR0
{
	float4 diffuseMapSample = tex2D( diffuseMap, input.uv0 );
	return diffuseMapSample * colorModulate * input.color;
}
